Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IColumn

All Superinterfaces:
  IStyledElement

    public interface IColumn

extends IStyledElement

column definition used by table content.

Method Summary
`java.lang.Object` | `getGenerateBy()`
`IStyle` | `getInlineStyle()`
`InstanceID` | `getInstanceID()` get the instance id of the column.
`java.lang.String` | `getVisibleFormat()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getWidth()`
`boolean` | `hasDataItemsInDetail()`
`boolean` | `isColumnHeader()`
`boolean` | `isRepeated()`
`void` | `setGenerateBy(java.lang.Object generateBy)`
`void` | `setInlineStyle(IStyle style)`
`void` | `setRepeated(boolean isRepeated)`
`void` | `setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Method Detail

### isColumnHeader

    boolean isColumnHeader()

  Returns:
    Return this column is a column header or not.

### getWidth

    org.eclipse.birt.report.engine.ir.DimensionType getWidth()

  Returns:
    Returns the width.

### setWidth

    void setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)

### getInstanceID

    InstanceID getInstanceID()

  get the instance id of the column. the instance id is the unique id of the content.

  Returns:

### getVisibleFormat

    java.lang.String getVisibleFormat()

### getInlineStyle

    IStyle getInlineStyle()

  Returns:
    inline style

### setInlineStyle

    void setInlineStyle(IStyle style)

### setGenerateBy

    void setGenerateBy(java.lang.Object generateBy)

### getGenerateBy

    java.lang.Object getGenerateBy()

### hasDataItemsInDetail

    boolean hasDataItemsInDetail()

### isRepeated

    boolean isRepeated()

### setRepeated

    void setRepeated(boolean isRepeated)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.